## casparcg-server 2.2.0%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --sourcedirectory=src --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DENABLE_HTML=OFF

# Generate and install manual page
debian/casparcg.1: debian/casparcg.txt2man
	txt2man -t CASPARCG -d 2018-12-14 -s 1 debian/casparcg.txt2man > $@
override_dh_installman: debian/casparcg.1
	dh_installman
	$(RM) debian/casparcg.1
