=== debian/changelog ===
casparcg-server (2.2.0+dfsg-2) unstable; urgency=medium

  * Corrected Vcs links in d/control.
  * Updated Standards-Version from 4.2.1 to 4.3.0.
  * Added missing build dependency libxrandr-dev.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 15 Jan 2019 12:22:40 +0100

casparcg-server (2.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.2.0+dfsg.
  * Removed 0000-from-upstream-git.patch now included upstream.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 30 Dec 2018 09:14:20 +0100

casparcg-server (2.2.0~beta7+dfsg-1) unstable; urgency=medium

  * Initial upload (Closes: #912774)
  * Included 0000-from-upstream-git.patch from upstream git
    to get the latest version with all copyright header fixes.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 16 Dec 2018 16:50:07 +0100
