=== debian/watch ===
version=3
opts=\
repack,\
repacksuffix=+dfsg,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/.*\/v?([\d\.a-z-]+)\.tar\.gz/casparcg-server-$1.tar.gz/ \
https://github.com/CasparCG/server/releases \
.*/archive/v?([\d\.a-z-]+).tar.gz
