## casparcg-server 2.3.3%2Bdfsg

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,9 +3,9 @@
 # Project settings
 PROJECT ("CasparCG Server")
 SET (CONFIG_VERSION_MAJOR 2)
-SET (CONFIG_VERSION_MINOR 2)
-SET (CONFIG_VERSION_BUG 0)
-SET (CONFIG_VERSION_TAG "Stable")
+SET (CONFIG_VERSION_MINOR 3)
+SET (CONFIG_VERSION_BUG 2)
+SET (CONFIG_VERSION_TAG "Dev")
 
 option(ENABLE_HTML "Enable HTML module, require CEF" ON)
 
@@ -32,6 +32,7 @@
 	CONFIGURE_FILE ("${PROJECT_SOURCE_DIR}/version.tmpl" "${CMAKE_BINARY_DIR}/generated/version.h")
 	INCLUDE_DIRECTORIES ("${CMAKE_BINARY_DIR}/generated")
 
+	ADD_SUBDIRECTORY (tools)
 	ADD_SUBDIRECTORY (accelerator)
 	ADD_SUBDIRECTORY (common)
 	ADD_SUBDIRECTORY (core)
