=== src/shell/CMakeLists.txt ===
--- 
+++ 
@@ -49,12 +49,12 @@
 
 if (MSVC)
 	target_link_libraries(casparcg
-		#jpeg.lib
-		#sndfile.lib
 		Winmm.lib
 		Ws2_32.lib
 		optimized tbb.lib
+		optimized tbbmalloc.lib
 		debug tbb_debug.lib
+		debug tbbmalloc_debug.lib
 		OpenGL32.lib
 		glew32.lib
 		openal32.lib
@@ -74,6 +74,10 @@
 		avdevice.lib
 		swscale.lib
 		swresample.lib
+
+		d3d9.lib
+		d3d11.lib
+		dxgi.lib
 	)
 else ()
 	target_link_libraries(casparcg
@@ -85,9 +89,6 @@
 		${GLEW_LIBRARIES}
 		${OPENGL_gl_LIBRARY}
 		${X11_LIBRARIES}
-		${JPEG_LIBRARIES}
-		${SNDFILE_LIBRARIES}
-		${FREETYPE_LIBRARIES}
 		${FFMPEG_LIBRARIES}
 		dl
 		icui18n
@@ -133,6 +134,7 @@
 	ADD_CUSTOM_COMMAND (TARGET casparcg POST_BUILD COMMAND ${CMAKE_COMMAND} -E copy_directory ${CEF_BIN_PATH}/swiftshader ${CMAKE_BINARY_DIR}/staging/bin/swiftshader)
 	ADD_CUSTOM_COMMAND (TARGET casparcg POST_BUILD COMMAND ${CMAKE_COMMAND} -E copy ${CEF_BIN_PATH}/natives_blob.bin ${CMAKE_BINARY_DIR}/staging/bin/natives_blob.bin)
 	ADD_CUSTOM_COMMAND (TARGET casparcg POST_BUILD COMMAND ${CMAKE_COMMAND} -E copy ${CEF_BIN_PATH}/snapshot_blob.bin ${CMAKE_BINARY_DIR}/staging/bin/snapshot_blob.bin)
+	ADD_CUSTOM_COMMAND (TARGET casparcg POST_BUILD COMMAND ${CMAKE_COMMAND} -E copy ${CEF_BIN_PATH}/v8_context_snapshot.bin ${CMAKE_BINARY_DIR}/staging/bin/v8_context_snapshot.bin)
 	ADD_CUSTOM_COMMAND (TARGET casparcg POST_BUILD COMMAND ${CMAKE_COMMAND} -E copy ${CEF_BIN_PATH}/libcef.so ${CMAKE_BINARY_DIR}/staging/lib/libcef.so)
 	ADD_CUSTOM_COMMAND (TARGET casparcg POST_BUILD COMMAND ${CMAKE_COMMAND} -E copy ${CEF_BIN_PATH}/libEGL.so ${CMAKE_BINARY_DIR}/staging/lib/libEGL.so)
 	ADD_CUSTOM_COMMAND (TARGET casparcg POST_BUILD COMMAND ${CMAKE_COMMAND} -E copy ${CEF_BIN_PATH}/libGLESv2.so ${CMAKE_BINARY_DIR}/staging/lib/libGLESv2.so)
