=== src/modules/image/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,8 @@
 		consumer/image_consumer.cpp
 
 		producer/image_producer.cpp
+
+		producer/image_scroll_producer.cpp
 
 		util/image_algorithms.cpp
 		util/image_loader.cpp
@@ -15,6 +17,8 @@
 		consumer/image_consumer.h
 
 		producer/image_producer.h
+
+		producer/image_scroll_producer.h
 
 		util/image_algorithms.h
 		util/image_loader.h
