=== debian/changelog ===
casparcg-server (2.3.3+dfsg-3.2build1) noble; urgency=medium

  * No-change rebuild against libboost-chrono1.83.0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 09 Apr 2024 02:23:21 +0000

casparcg-server (2.3.3+dfsg-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS against boost1.83. (Closes: #1056093)

 -- Anton Gladky <gladk@debian.org>  Mon, 25 Dec 2023 18:09:38 +0100

casparcg-server (2.3.3+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Nick Rosbrook <enr0n@ubuntu.com> ]
  * debian/patches: add use-renamed-AV_CODEC_CAP_OTHER_THREADS.patch
    This fixes FTBFS against ffmpeg 6.0 (LP: #2034959, Closes: #1042395)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 10 Oct 2023 09:13:09 +0200

casparcg-server (2.3.3+dfsg-3) unstable; urgency=medium

  [ Filip Hanes ]
  * Added build dependencies zlib1g-dev and libicu-dev
  * Better SIMDE configuration in 1002-arm64-compatibility.patch
  * Updated Vcs-* to multimedia-team d/control
  * Added architecture i386

  [ Petter Reinholdtsen ]
  * Change package maintainer to the Debian Multimedia group.

 -- Filip Hanes <filip@hanes.tech>  Fri, 02 Sep 2022 16:30:00 +0100

casparcg-server (2.3.3+dfsg-2) unstable; urgency=medium

  * Removed unneeded build-deps
  * Limit architectures to amd64 and arm64 (Closes: #922563)

 -- Filip Hanes <filip@hanes.tech>  Tue, 31 Aug 2022 18:30:00 +0100

casparcg-server (2.3.3+dfsg-1) unstable; urgency=medium

  [Filip Hanes]
  * New upstream version 2.3.3+dfsg (Closes: #947518)
  * New maintainer (Closes: #959124)
  * Added 0001-fix-missing-thread-includes-1396.patch
  * Added 0002-ffmpeg-5.0-1419.patch (Closes: #1015780)
  * Added 0003-fix-boost-1.73-ftbfs-1397.patch
  * Added 0004-fix-shader-frag.patch
  * Added 1001-cmake-ftbfs.patch (Closes: #1011654)
  * Added 1002-arm64-compatibility.patch
  * Added missing build dependency libboost-system-dev.
  * Added build dependency libsimde-dev for arm64 compatibility
  * Remove build dependency libgconf2-dev (Closes: #959106)
  * Update Maintainer, Uploaders, Standards-Version in d/control
  * Make ffmpeg5.0 patch compatible with ffmpeg 4.3

 -- Filip Hanes <filip@hanes.tech>  Tue, 31 Aug 2022 16:35:00 +0100

casparcg-server (2.2.0+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with new cmake (Closes: #947518)

 -- Dimitri John Ledkov <xnox@debian.org>  Fri, 14 Feb 2020 18:34:23 +0000
