=== debian/control ===
Source: casparcg-server
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Filip Hanes <filip@hanes.tech>
 , Petter Reinholdtsen <pere@debian.org>
Section: contrib/video
Priority: optional
Standards-Version: 4.6.1
Build-Depends: cmake,
               debhelper (>= 10~),
               libavcodec-dev,
               libavdevice-dev,
               libavfilter-dev,
               libavformat-dev,
               libavutil-dev,
               libboost-chrono-dev,
               libboost-coroutine-dev,
               libboost-date-time-dev,
               libboost-dev (>= 0.66),
               libboost-filesystem-dev,
               libboost-locale-dev,
               libboost-log-dev,
               libboost-regex-dev,
               libboost-system-dev,
               libboost-thread-dev,
               libfreeimage-dev,
               libicu-dev,
               libglew-dev,
               libjpeg-dev,
               libopenal-dev,
               libpostproc-dev,
               libsfml-dev,
               libsimde-dev,
               libswresample-dev,
               libswscale-dev,
               libtbb-dev,
               libxrandr-dev,
               pkg-config,
               txt2man,
               zlib1g-dev
Homepage: https://github.com/CasparCG/server/
Vcs-Git: https://salsa.debian.org/multimedia-team/casparcg-server.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/casparcg-server/

Package: casparcg-server
Pre-Depends: ${misc:Pre-Depends}
Depends: fonts-liberation2, ${misc:Depends}, ${shlibs:Depends}
Architecture: amd64 arm64 i386
Description: layered real-time video compositor to multiple outputs
 Play out professional graphics, audio and video to multiple outputs as a
 layerbased real-time compositor.
