=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 # Generate and install manual page
 debian/casparcg.1: debian/casparcg.txt2man
 	txt2man -t CASPARCG -d 2018-12-14 -s 1 debian/casparcg.txt2man > $@
+
 override_dh_installman: debian/casparcg.1
 	dh_installman
 	$(RM) debian/casparcg.1
